//
// Fragment shader for billboard
//
// Author: Byungil Jeong
//

uniform sampler2D colorMap;
uniform vec3  mortarColor;
uniform bool  drawPost;
varying bool  showContents;

void main(void)
{
	vec2 texCoord = gl_TexCoord[0].xy;
   vec4 myColor = texture2D(colorMap, texCoord);
	
	if (drawPost || !showContents)
		myColor = vec4(mortarColor*0.3, 1.0);
		
	gl_FragColor = myColor;
}
